# Uses of Class
de.geolykt.starloader.mod.ExtensionPrototype

Packages that use ExtensionPrototype
Package
Description
de.geolykt.starloader
de.geolykt.starloader.mod
Package for all Extension-related stuff.

## Uses of ExtensionPrototype in de.geolykt.starloader

Method parameters in de.geolykt.starloader with type arguments of type ExtensionPrototype
Modifier and Type
Method
Description
`static void`
Starloader.`start(@NotNull List<@NotNull ExtensionPrototype> extensionSource, @NotNull Path modDir)`

## Uses of ExtensionPrototype in de.geolykt.starloader.mod

Subclasses of ExtensionPrototype in de.geolykt.starloader.mod
Modifier and Type
Class
Description
`class`
`NamedExtensionPrototype`
Methods in de.geolykt.starloader.mod that return ExtensionPrototype
Modifier and Type
Method
Description
`@NotNull ExtensionPrototype`
DiscoveredExtension.`getSourcePrototype()`
Methods in de.geolykt.starloader.mod with parameters of type ExtensionPrototype
Modifier and Type
Method
Description
`static @NotNull DiscoveredExtension`
DiscoveredExtension.`fromJSON(@NotNull InputStream in, @NotNull ExtensionPrototype prototype)`
Method parameters in de.geolykt.starloader.mod with type arguments of type ExtensionPrototype
Modifier and Type
Method
Description
`void`
ExtensionManager.`loadExtensions(List<@NotNull ? extends ExtensionPrototype> extensionCandidates)`